/********************************** (C) COPYRIGHT *******************************
* File Name          : HSPI.H
* Author             : MJX
* Version            : V1.00
* Date               : 2021/07/10
* Description        : CH56XӲHSPIضͷļ
*******************************************************************************/



#ifndef	__HSPI_H__
#define __HSPI_H__


/******************************************************************************/
/* غ궨 */

/* ģʽ */
#define DEF_HSPI_HOST_MODE         0											/* HSPIͶ(Host) */
#define DEF_HSPI_SLAVER_MODE       1											/* HSPIն(Slaver) */
#define DEF_HSPI_MODE              DEF_HSPI_SLAVER_MODE

#define DEF_HSPI_DOUBLE_DIR_EN     1                                            /* 0Ϊͨ,1Ϊ˫ͨ  */

/* λ */
#define DEF_HSPI_DATASIZE_8        0											/* 8λ */
#define DEF_HSPI_DATASIZE_16       1											/* 16λ */
#define DEF_HSPI_DATASIZE_32       2											/* 32λ */
#define DEF_HSPI_DATASIZE          DEF_HSPI_DATASIZE_32

/* Զֽڶ */
#define DEF_HSPI_UDF0              0x3ABCDEF
#define DEF_HSPI_UDF1              0x3ABCDEF

/* DMAշȶ */
#define DEF_HSPI_DMA_PACK_LEN      4096                                         /* DMAշ */

/* DMAͻģʽ */
#define DEF_HSPI_BULK_BPACK_NUM   4                                            /* ģʽͻģʽ */
#define DEF_HSPI_UVC_BPACK_NUM     15                                           /* ͬģʽͻģʽ */

/* DMAͻģʽܴС */
#define DEF_HSPI_BULK_BPACK_LEN    ( DEF_HSPI_DMA_PACK_LEN * DEF_HSPI_BULK_BPACK_NUM )
#define DEF_HSPI_UVC_BPACK_LEN     ( DEF_HSPI_DMA_PACK_LEN * DEF_HSPI_UVC_BPACK_NUM )

/******************************************************************************/
/*  */
extern UINT32V HSPI_Tx_PackCnt;                                                 /* HSPIͰ */
extern UINT32V HSPI_Rx_PackCnt;                                                 /* HSPIհ */
extern UINT8V  HSPI_Int_En_Save;                                                /* HSPIжʹܱ */

extern UINT32V HSPI_Tx_Data_LoadAddr;                                           /* HSPIװַָ */
extern UINT32V HSPI_Tx_Data_DealAddr;                                           /* HSPIݴַָ */
extern UINT32V HSPI_Tx_Data_RemainLen;                                          /* HSPIʣ೤ */

extern UINT32V HSPI_Rx_Data_LoadAddr;                                           /* HSPIװַָ */
extern UINT32V HSPI_Rx_Data_DealAddr;                                           /* HSPIݴַָ */
extern UINT32V HSPI_Rx_Data_RemainLen;                                          /* HSPIʣ೤ */
extern UINT8V  HSPI_Rx_Notice_Status;                                           /* HSPI֪ͨ״̬ */

extern UINT8V  HSPI_Tx_Status;                                                  /* HSPI״̬:0:; 1:ڷ; 2:; */
extern UINT8V  HSPI_Tx_BurstPackNum;                                            /* HSPIͻ */
extern UINT16V HSPI_Tx_LastPackLen;                                             /* HSPIͻĩβ */

/******************************************************************************/
/*  */
extern void HSPI_GPIO_Init( void );                                             /* HSPIӿGPIOʼ */
extern void HSPI_Init( void );                                                  /* HSPIӿڳʼ */
extern void HSPI_Test( void );                                                  /* HSPIӿڲ */

extern void HSPI_Tx_Data_Deal( void );                                          /* HSPIӿڷݴ */

#endif

/*********************************END OF FILE**********************************/






